// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.command;

import edu.wpi.first.wpilibj2.command.Command;
import frc.robot.subsystem.Accumulateur;
import frc.robot.subsystem.Lanceur;

public class LancerAmp extends Command {
  private Lanceur lancer;
  private Accumulateur accumulateur;
  /** Creates a new LancerNote. */
  public LancerAmp(Lanceur lancer, Accumulateur accumulateur) {
    this.lancer = lancer;
    this.accumulateur = accumulateur;
    // Use addRequirements() here to declare subsystem dependencies.
  }

  // Called when the command is initially scheduled.
  @Override
  public void initialize(){
    lancer.pid();
  }

  // Called every time the scheduler runs while the command is scheduled.
  @Override
  public void execute() {
    double vitesse = 0.4;
    lancer.lanceramp();
    if(lancer.vitesse(vitesse)>vitesse){
      accumulateur.Accumuler();
    }
    else{
      accumulateur.Accumuler(0);
    }
  }

  // Called once the command ends or is interrupted.
  @Override
  public void end(boolean interrupted) {
    lancer.lancer(0);
    accumulateur.Accumuler(0);
  }

  // Returns true when the command should end.
  @Override
  public boolean isFinished() {
    return false;
  }
}
